Bug 861346 - namespace name is recognized as ssh-key type when creating reserved domain with rhc-admin-ctl-domain
namespace name is recognized as ssh-key type when creating reserved domain wi...
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2012-09-28 05:41 EDT by Meng Bo
Modified: 2015-05-14 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-06 13:50:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-09-28 05:41:46 EDT
Description of problem:
Create reserved domain with broker side command rhc-ctl-admin-domain, the namespace name specified with -n option will be recognized as ssh-key type and saved in mongodb.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Login to the instance and create reserved domain for non-existing user.
#rhc-admin-ctl-domain -c create -l bmeng+1@redhat.com -n bmeng1dev -s xxx -t ssh-rsa -k default
2.Check the user info in mongodb
Actual results:

   "_id": "bmeng+1@redhat.com",
   "login": "bmeng+1@redhat.com",
   "max_gears": 3,
   "uuid": "40051635c5074502a552935d2361c1b6",
   "ssh_keys": {
     "default": {
       "type": "bmeng1dev",
       "key": "xxx"
   "parent_user_login": null,
   "consumed_gears": 0,
   "capabilities": {
     "gear_sizes": {
       "0": "small"

Expected results:
The type under ssh_keys section should be ssh-rsa.

Additional info:
Comment 1 John Poelstra 2012-09-28 14:53:13 EDT
expect to this to be fixed as part of the model refactor
Comment 2 John Poelstra 2012-10-04 13:05:10 EDT
will look at today
Comment 3 Abhishek Gupta 2012-10-04 15:01:55 EDT
Comment 4 Xiaoli Tian 2012-10-07 23:36:15 EDT
(In reply to comment #3)
> https://github.com/openshift/crankcase/pull/600

https://github.com/openshift/origin-server/pull/600 has been merged , move it to ON_QA to verify.
Comment 5 Meng Bo 2012-10-08 04:01:51 EDT
Checked on devenv_2296, issue has been fixed.

[root@ip-xx bin]# oo-admin-ctl-domain -l bmeng+1@redhat.com -n bmeng1dev -c create -s xxx -k key1 -t ssh-rsa
Successfully created user.
Successfully created domain.

Check in mongodb:

   "domains": {
     "0": {
       "namespace": "bmeng1dev",
       "uuid": "309514ffe4194deda65ff1669c099243"
   "login": "bmeng+1@redhat.com",
   "max_gears": 3,
   "parent_user_login": null,
   "ssh_keys": {
     "key1": {
       "key": "xxx",
       "type": "ssh-rsa"

Note You need to log in before you can comment on or make changes to this bug.